<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine;

abstract class TermineController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function createNewRequestObj()
  {
    return  new TermineRequest();
  }

  protected function getRequestObj()
  {
    $requestObj = $this->createNewRequestObj();
    $requestObj->knr = \GetOperations::getVarValue('knr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new TerminePresenter($pUseCaseResponse);
  }
}